com.taosdata.jdbc.ws.tmq.meta

## Class MetaDropTable

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.meta.Meta
  - - com.taosdata.jdbc.ws.tmq.meta.MetaDropTable

    public class MetaDropTable
    extends Meta

### Constructor Summary

Constructors
Constructor and Description
`MetaDropTable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`List<String>` `getTableNameList()`
`int` `hashCode()`
`void` `setTableNameList(List<String> tableNameList)`

### Methods inherited from class com.taosdata.jdbc.ws.tmq.meta.Meta

`getTableName, getTableType, getType, setTableName, setTableType, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaDropTable

    public MetaDropTable()

### Method Detail

#### getTableNameList

    public List<String> getTableNameList()

#### setTableNameList

    public void setTableNameList(List<String> tableNameList)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Meta`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Meta`